> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usestellar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Insight

> Deletes a single insight based on the ID supplied



## OpenAPI

````yaml DELETE /insights/{id}
openapi: 3.1.0
info:
  title: Stellar
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: http://api.usestellar.com
security:
  - bearerAuth: []
paths:
  /insights/{id}:
    delete:
      description: Deletes a single insight based on the ID supplied
      parameters:
        - name: id
          in: path
          description: ID of insight to delete
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '204':
          description: Insight deleted
          content: {}
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````